Bug 83307 - FILEOPEN: XLS - Charts with data embedded in object imported with blank chart
Summary: FILEOPEN: XLS - Charts with data embedded in object imported with blank chart
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:xls
Depends on:
Blocks: Chart XLS
  Show dependency treegraph
 
Reported: 2014-08-31 18:19 UTC by Luke
Modified: 2021-08-10 03:48 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example of incorrectly imported .XLS Chart (26.00 KB, application/vnd.ms-excel)
2014-08-31 18:19 UTC, Luke
Details
Comparison of Excel 2007 vs Calc 4.4 (173.57 KB, image/png)
2014-08-31 18:23 UTC, Luke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Luke 2014-08-31 18:19:09 UTC
Created attachment 105498 [details]
Example of incorrectly imported .XLS Chart

This bug was tested LibreOffice v4.1 and v4.4 running in windows 7 and Linux. It appears that LibreOffice can't handle certain MS 97-03 xls charts. 

Steps to reproduce the bug:
1. Open attached Demo-Chart-test.xls document in Calc
2. Open attached Demo-Chart-test.xls document in Excel or OneDrive
3. Compare the documents. 

Note the chart is blank. In Office 2007, I tried saving as many different chart types (bar, line, etc) and the result is always the same.
Comment 1 Luke 2014-08-31 18:23:00 UTC
Created attachment 105499 [details]
Comparison of Excel 2007 vs Calc 4.4
Comment 2 retired 2014-08-31 18:29:56 UTC
Thanks for the report Luke. Confirmed on OSX 10.9.4 LO 4.3.1.2
NEW
Comment 3 Yousuf Philips (jay) (retired) 2014-08-31 19:40:42 UTC
Hello Luke,

Thank you for submitting the bug. I can confirm that the bug is available in 4.3.2 and master.

Version: 4.3.2.0.0+
Build ID: 8718bcc3d74e5eed7499ec1359aff10659faaebc
TinderBox: Linux-rpm_deb-x86@45-TDF, Branch:libreoffice-4-3, Time: 2014-08-30_02:50:52
Comment 4 Xisco Faulí 2015-08-19 10:33:56 UTC
Problem still present in

Version: 5.0.0.5
Build ID: 1b1a90865e348b492231e1c451437d7a15bb262b
Locale: es-ES (es_ES)

on Windows 7 (64-bit)
Comment 5 Robinson Tryon (qubit) 2015-12-09 16:50:04 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2017-01-03 19:40:15 UTC Comment hidden (obsolete)
Comment 7 Luke 2017-01-04 02:02:57 UTC
Chart still blank in Version: 5.4.0.0.alpha0+ (x64)
Build ID: bf80bbb7b75febc2769d6b64e6981224982f8fe2
Comment 8 QA Administrators 2018-01-05 03:41:23 UTC Comment hidden (obsolete)
Comment 9 eisa01 2018-06-16 18:27:33 UTC
Still present

Version: 6.2.0.0.alpha0+
Build ID: b292a27698e85fd9d60c03613c3b0c67835c4dc1
CPU threads: 2; OS: Mac OS X 10.12.6; UI render: default; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2018-06-06_23:25:55
Locale: en-US (en_US.UTF-8); Calc: group threaded
Comment 10 QA Administrators 2019-06-18 02:47:02 UTC Comment hidden (obsolete)
Comment 11 eisa01 2019-08-10 20:26:08 UTC
Still present

The xls has the data for the chart embedded in the object, it's not being pulled from data in the sheet


Version: 6.4.0.0.alpha0+
Build ID: 54028dc503fc08eb12e287919d5e2850cff05b73
CPU threads: 4; OS: Mac OS X 10.14.6; UI render: default; VCL: osx; 
TinderBox: MacOSX-x86_64@49-TDF, Branch:master, Time: 2019-07-31_01:48:19
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded
Comment 12 QA Administrators 2021-08-10 03:48:57 UTC
Dear Luke,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug